Subject: virt-host-validate utility segfaults on Alpine-edge

From: Vittorio Mori <[email-masked]>
Date: Sat, 20 Jul 2019 11:24:32 +0200

alpine-edge rolling system, just installed.

I got this segfault using KVM

immortality:/tank/fileserver# virt-host-validate
  QEMU: Checking for hardware virtualization
      : PASS
  QEMU: Checking if device /dev/kvm exists
      : PASS
  QEMU: Checking if device /dev/kvm is accessible
      : PASS
  QEMU: Checking if device /dev/vhost-net exists
      : PASS
  QEMU: Checking if device /dev/net/tun exists
      : PASS
Segmentation fault

This is what I get on /var/log/messages

virt-host-valid[42211]: segfault at 0 ip 00007f83164e924c sp
00007fff2fd6f408 error 4 in ld-musl-x86_64.so.1[7f83164ad000+46000]
[ 3873.567359] Code: 05 41 89 04 24 4c 89 ef e8 20 e4 ff ff 89 d8 5b
5d 41 5c 41 5d 41 5e c3 64 48 8b 04 25 00 00 00 00 48 8b 80 88 00 00
00 89 ff <48> 8b 04 f8 c3 41 56 41 55 49 89 d5 41 54 49 89 f4 55 48 89
fd 53

This on a 12-core Xeon, 128gb ram, virtualizazion server.

Also, QUEM/KVM PCI passtrough is not working. I'm investigating on the issue.